---
title: Headers.values()
slug: Web/API/Headers/values
tags:
  - API
  - Experimental
  - Fetch API
  - Headers
  - Method
  - Reference
---
<div>{{APIRef}}</div>

<p>The <code><strong>Headers.values()</strong></code> method returns an {{jsxref("Iteration_protocols",'iterator')}} allowing to go through all values contained in this object. The values are {{domxref("ByteString")}} objects.</p>

<div class="note">
<p><strong>Note</strong>: This method is available in <a href="/en-US/docs/Web/API/Web_Workers_API">Web Workers</a>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">headers.values();</pre>

<h3 id="Return_value">Return value</h3>

<p>Returns an {{jsxref("Iteration_protocols","iterator")}}.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js;highlight:[7]">// Create a test Headers object
var myHeaders = new Headers();
myHeaders.append('Content-Type', 'text/xml');
myHeaders.append('Vary', 'Accept-Language');

// Display the values
for (var value of myHeaders.values()) {
   console.log(value);
}
</pre>

<p>The result is:</p>

<pre>text/xml
Accept-Language</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Headers.values")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/API/ServiceWorker_API">ServiceWorker API</a></li>
	<li><a href="/en-US/docs/Web/HTTP/Access_control_CORS">HTTP access control (CORS)</a></li>
	<li><a href="/en-US/docs/Web/HTTP">HTTP</a></li>
</ul>
